<?php

declare(strict_types=1);

namespace Myvetshop\Module\Clinique\Serializer;

use Myvetshop\Module\Clinique\Generated\Jane\Model\ClinicsGetResponse200Item;
use Myvetshop\Module\Clinique\Generated\Jane\Normalizer\ClinicsGetResponse200ItemNormalizer;

/**
 * @extends AbstractReportingSerializer<ClinicsGetResponse200Item>
 */
class ClinicReportingSerializer extends AbstractReportingSerializer
{
    public static function getNormalizers(): array
    {
        return [new ClinicsGetResponse200ItemNormalizer()];
    }

    public static function getModelClass(): string
    {
        return ClinicsGetResponse200Item::class;
    }
}
